Models
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified model version.
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
ヘッダー パラメーター
Foundry-Features
enum
必須
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
パス パラメーター
name
string
必須
Name of the model.
version
string
必須
Version of the model.
要求本文
The pending upload request request body.
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
必須
The type of pending upload. Only TemporaryBlobReference is supported for models.
応答
The request has succeeded.
本文
blobReference
BlobReference
必須
Blob reference details.
blobUri
string
必須
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
必須
ARM ID of the storage account to use.
credential
SasCredential
必須
SAS Credential definition
sasUri
string
必須
SAS uri
type
enum
必須
Type of credential
pendingUploadId
string
必須
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
必須
The type of pending upload. Only TemporaryBlobReference is supported for models.
要求
POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json